package com.beanpodtech.allinone.bean;

import java.util.List;
/*
*  202103 修改 Bean类
* */
public class FreeFilterBean2 extends BaseRequestBean {


    private List<LevelBean> level;

    public List<LevelBean> getLevel() {
        return level;
    }

    public void setLevel(List<LevelBean> level) {
        this.level = level;
    }

    public static class LevelBean {
        /**
         * filterLevelName : 同步
         * filterLevelId : 12
         * description : 年级
         * subjects : [{"filterSubjectName":"语文","filterSubjectId":"2","description":"科目","types":[{"filterTypeName":"暑期启航","filterTypeId":"32","description":"类型","outLines":[{"filterOutlineName":"文学类文本阅读-小说","filterOutlineId":"5728","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"文言文阅读","filterOutlineId":"5732","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"古代诗歌阅读","filterOutlineId":"5734","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"语基选择题","filterOutlineId":"5736","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"语基非选择题","filterOutlineId":"5737","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"议论文写作","filterOutlineId":"5739","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]}]}]}]
         */

        private String filterLevelName;
        private String filterLevelId;
        private String description;
        private List<SubjectsBean> subjects;

        public String getFilterLevelName() {
            return filterLevelName;
        }

        public void setFilterLevelName(String filterLevelName) {
            this.filterLevelName = filterLevelName;
        }

        public String getFilterLevelId() {
            return filterLevelId;
        }

        public void setFilterLevelId(String filterLevelId) {
            this.filterLevelId = filterLevelId;
        }

        public String getDescription() {
            return description;
        }

        public void setDescription(String description) {
            this.description = description;
        }

        public List<SubjectsBean> getSubjects() {
            return subjects;
        }

        public void setSubjects(List<SubjectsBean> subjects) {
            this.subjects = subjects;
        }

        public static class SubjectsBean {
            /**
             * filterSubjectName : 语文
             * filterSubjectId : 2
             * description : 科目
             * types : [{"filterTypeName":"暑期启航","filterTypeId":"32","description":"类型","outLines":[{"filterOutlineName":"文学类文本阅读-小说","filterOutlineId":"5728","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"文言文阅读","filterOutlineId":"5732","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"古代诗歌阅读","filterOutlineId":"5734","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"语基选择题","filterOutlineId":"5736","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"语基非选择题","filterOutlineId":"5737","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"议论文写作","filterOutlineId":"5739","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]}]}]
             */

            private String filterSubjectName;
            private String filterSubjectId;
            private String description;
            private List<TypesBean> types;

            public String getFilterSubjectName() {
                return filterSubjectName;
            }

            public void setFilterSubjectName(String filterSubjectName) {
                this.filterSubjectName = filterSubjectName;
            }

            public String getFilterSubjectId() {
                return filterSubjectId;
            }

            public void setFilterSubjectId(String filterSubjectId) {
                this.filterSubjectId = filterSubjectId;
            }

            public String getDescription() {
                return description;
            }

            public void setDescription(String description) {
                this.description = description;
            }

            public List<TypesBean> getTypes() {
                return types;
            }

            public void setTypes(List<TypesBean> types) {
                this.types = types;
            }

            public static class TypesBean {
                /**
                 * filterTypeName : 暑期启航
                 * filterTypeId : 32
                 * description : 类型
                 * outLines : [{"filterOutlineName":"文学类文本阅读-小说","filterOutlineId":"5728","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"文言文阅读","filterOutlineId":"5732","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"古代诗歌阅读","filterOutlineId":"5734","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"语基选择题","filterOutlineId":"5736","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"语基非选择题","filterOutlineId":"5737","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]},{"filterOutlineName":"议论文写作","filterOutlineId":"5739","description":"大纲","teachers":[{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]}]
                 */

                private String filterTypeName;
                private String filterTypeId;
                private String description;
                private List<OutLinesBean> outLines;

                public String getFilterTypeName() {
                    return filterTypeName;
                }

                public void setFilterTypeName(String filterTypeName) {
                    this.filterTypeName = filterTypeName;
                }

                public String getFilterTypeId() {
                    return filterTypeId;
                }

                public void setFilterTypeId(String filterTypeId) {
                    this.filterTypeId = filterTypeId;
                }

                public String getDescription() {
                    return description;
                }

                public void setDescription(String description) {
                    this.description = description;
                }

                public List<OutLinesBean> getOutLines() {
                    return outLines;
                }

                public void setOutLines(List<OutLinesBean> outLines) {
                    this.outLines = outLines;
                }

                public static class OutLinesBean {
                    /**
                     * filterOutlineName : 文学类文本阅读-小说
                     * filterOutlineId : 5728
                     * description : 大纲
                     * teachers : [{"filterTeacherName":"全部","filterTeacherId":"all","description":"名师"},{"filterTeacherName":"原野","filterTeacherId":"23","description":"名师"}]
                     */

                    private String filterOutlineName;
                    private String filterOutlineId;
                    private String description;
                    private List<TeachersBean> teachers;

                    public String getFilterOutlineName() {
                        return filterOutlineName;
                    }

                    public void setFilterOutlineName(String filterOutlineName) {
                        this.filterOutlineName = filterOutlineName;
                    }

                    public String getFilterOutlineId() {
                        return filterOutlineId;
                    }

                    public void setFilterOutlineId(String filterOutlineId) {
                        this.filterOutlineId = filterOutlineId;
                    }

                    public String getDescription() {
                        return description;
                    }

                    public void setDescription(String description) {
                        this.description = description;
                    }

                    public List<TeachersBean> getTeachers() {
                        return teachers;
                    }

                    public void setTeachers(List<TeachersBean> teachers) {
                        this.teachers = teachers;
                    }

                    public static class TeachersBean {
                        /**
                         * filterTeacherName : 全部
                         * filterTeacherId : all
                         * description : 名师
                         */

                        private String filterTeacherName;
                        private String filterTeacherId;
                        private String description;

                        public String getFilterTeacherName() {
                            return filterTeacherName;
                        }

                        public void setFilterTeacherName(String filterTeacherName) {
                            this.filterTeacherName = filterTeacherName;
                        }

                        public String getFilterTeacherId() {
                            return filterTeacherId;
                        }

                        public void setFilterTeacherId(String filterTeacherId) {
                            this.filterTeacherId = filterTeacherId;
                        }

                        public String getDescription() {
                            return description;
                        }

                        public void setDescription(String description) {
                            this.description = description;
                        }
                    }
                }
            }
        }
    }
}


